#include <iostream>

using namespace std;

int main()
{
    int t;
    cin>>t;
    int n,k;
    cin>>n>>k;
    int a[n];
    for(int i=0;i<n;i++){
        cin>>a[i];
    }
    if(t==0){
        if((n+k)%2==1) cout<<"NE"<<endl;
        else cout<<"DA"<<endl;
    }
}